<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Password generator</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
</head>
<body>
<div class="container text-center">
    <h1>Password generator</h1>
    <form action="{% url 'password' %}">
        <label>
            <select name="length">
                <option value="7">7</option>
                <option value="8">8</option>
                <option value="9">9</option>
                <option value="10">10</option>
                <option value="11">11</option>
                <option value="12">12</option>
                <option value="13">13</option>
                <option value="14">14</option>
                <option value="15">15</option>
                <option value="16">16</option>
                <option value="17" selected="selected">17</option>
            </select> Length
        </label>
        <br>

        <label>
            <input type="checkbox" name="uppercase"> Uppercase
        </label>
        <br>

        <label>
            <input type="checkbox" name="numbers"> Numbers
        </label>
        <br>

        <label>
            <input type="checkbox" name="special"> Special Characters
        </label>
        <br>

        <input type="submit" value="Generate Password" class="btn btn-primary">
    </form>
</div>
</body>
</html>